﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

.footer-bg-color {
    background-color: black;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

/* CUSTOMIZE THE CAROUSEL
-------------------------------------------------- */

/* Carousel base class */
.carousel {
    margin-bottom: 4rem;
}
/* Since positioning the image, we need to help out the caption */
.carousel-caption {
    bottom: 3rem;
    z-index: 10;
}

/* Declare heights because of positioning of img element */
.carousel-item {
    height: 32rem;
    background-color: #777;
}

    .carousel-item > img {
        position: absolute;
        top: 0;
        left: 0;
        min-width: 100%;
        height: 32rem;
    }


/* MARKETING CONTENT
-------------------------------------------------- */

/* Center align the text within the three columns below the carousel */
.marketing .col-lg-4 {
    margin-bottom: 1.5rem;
    text-align: center;
}

.marketing h2 {
    font-weight: 400;
}

.marketing .col-lg-4 p {
    margin-right: .75rem;
    margin-left: .75rem;
}


/* Featurettes
------------------------- */

.featurette-divider {
    margin: 5rem 0; /* Space out the Bootstrap <hr> more */
}

/* Thin out the marketing headings */
.featurette-heading {
    font-weight: 300;
    line-height: 1;
    letter-spacing: -.05rem;
}


/* RESPONSIVE CSS
-------------------------------------------------- */

@media (min-width: 40em) {
    /* Bump up size of carousel content */
    .carousel-caption p {
        margin-bottom: 1.25rem;
        font-size: 1.25rem;
        line-height: 1.4;
    }

    .featurette-heading {
        font-size: 50px;
    }
}

@media (min-width: 62em) {
    .featurette-heading {
        margin-top: 7rem;
    }
}

/*Cards */
.card {
    font-size: 1em;
    overflow: hidden;
    padding: 0;
    border: none;
    border-radius: .28571429rem;
    box-shadow: 0 1px 3px 0 #d4d4d5, 0 0 0 1px #d4d4d5;
}

.card-block {
    font-size: 1em;
    position: relative;
    margin: 0;
    padding: 1em;
    border: none;
    border-top: 1px solid rgba(34, 36, 38, .1);
    box-shadow: none;
}

.card-img-top {
    display: block;
    width: 100%;
    height: auto;
}

.card-title {
    font-size: 1.28571429em;
    font-weight: 700;
    line-height: 1.2857em;
}

.card-text {
    clear: both;
    margin-top: .5em;
    color: rgba(0, 0, 0, .68);
}

.card-footer {
    font-size: 1em;
    position: static;
    top: 0;
    left: 0;
    max-width: 100%;
    padding: .75em 1em;
    color: rgba(0, 0, 0, .4);
    border-top: 1px solid rgba(0, 0, 0, .05) !important;
    background: #fff;
}

.card-inverse .btn {
    border: 1px solid rgba(0, 0, 0, .05);
}

.profile {
    position: absolute;
    top: -12px;
    display: inline-block;
    overflow: hidden;
    box-sizing: border-box;
    width: 25px;
    height: 25px;
    margin: 0;
    border: 1px solid #fff;
    border-radius: 50%;
}

.profile-avatar {
    display: block;
    width: 100%;
    height: 100%;
    border-radius: 50%;
}

.profile-inline {
    position: relative;
    top: 0;
    display: inline-block;
}

    .profile-inline ~ .card-title {
        display: inline-block;
        margin-left: 4px;
        vertical-align: top;
    }

.text-bold {
    font-weight: 700;
}

.meta {
    font-size: 1em;
    color: rgba(0, 0, 0, .4);
}

    .meta a {
        text-decoration: none;
        color: rgba(0, 0, 0, .4);
    }

        .meta a:hover {
            color: rgba(0, 0, 0, .87);
        }


/********************* Shopping Demo-6 **********************/
.product-grid6, .product-grid6 .product-image6 {
    overflow: hidden
}

.product-grid6 {
    font-family: 'Open Sans',sans-serif;
    text-align: center;
    position: relative;
    transition: all .5s ease 0s
}

    .product-grid6:hover {
        box-shadow: 0 0 10px rgba(0,0,0,.3)
    }

    .product-grid6 .product-image6 a {
        display: block
    }

    .product-grid6 .product-image6 img {
        width: 100%;
        height: auto;
        transition: all .5s ease 0s
    }

    .product-grid6:hover .product-image6 img {
        transform: scale(1.1)
    }

    .product-grid6 .product-content {
        padding: 12px 12px 15px;
        transition: all .5s ease 0s
    }

    .product-grid6:hover .product-content {
        opacity: 0
    }

    .product-grid6 .title {
        font-size: 20px;
        font-weight: 600;
        text-transform: capitalize;
        margin: 0 0 10px;
        transition: all .3s ease 0s
    }

        .product-grid6 .title a {
            color: #000
        }

            .product-grid6 .title a:hover {
                color: #2e86de
            }

    .product-grid6 .price {
        font-size: 18px;
        font-weight: 600;
        color: #2e86de
    }

        .product-grid6 .price span {
            color: #999;
            font-size: 15px;
            font-weight: 400;
            text-decoration: line-through;
            margin-left: 7px;
            display: inline-block
        }

    .product-grid6 .social {
        background-color: #fff;
        width: 100%;
        padding: 0;
        margin: 0;
        list-style: none;
        opacity: 0;
        transform: translateX(-50%);
        position: absolute;
        bottom: -50%;
        left: 50%;
        z-index: 1;
        transition: all .5s ease 0s
    }

    .product-grid6:hover .social {
        opacity: 1;
        bottom: 20px
    }

    .product-grid6 .social li {
        display: inline-block
    }

        .product-grid6 .social li a {
            color: #909090;
            font-size: 16px;
            line-height: 45px;
            text-align: center;
            height: 45px;
            width: 45px;
            margin: 0 7px;
            border: 1px solid #909090;
            border-radius: 50px;
            display: block;
            position: relative;
            transition: all .3s ease-in-out
        }

            .product-grid6 .social li a:hover {
                color: #fff;
                background-color: #2e86de;
                width: 80px
            }

            .product-grid6 .social li a:after, .product-grid6 .social li a:before {
                content: attr(data-tip);
                color: #fff;
                background-color: #2e86de;
                font-size: 12px;
                letter-spacing: 1px;
                line-height: 20px;
                padding: 1px 5px;
                border-radius: 5px;
                white-space: nowrap;
                opacity: 0;
                transform: translateX(-50%);
                position: absolute;
                left: 50%;
                top: -30px
            }

            .product-grid6 .social li a:after {
                content: '';
                height: 15px;
                width: 15px;
                border-radius: 0;
                transform: translateX(-50%) rotate(45deg);
                top: -20px;
                z-index: -1
            }

            .product-grid6 .social li a:hover:after, .product-grid6 .social li a:hover:before {
                opacity: 1
            }

@media only screen and (max-width:990px) {
    .product-grid6 {
        margin-bottom: 30px
    }
}

/*Product view page styles*/
.header-navigation {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    font-size: .80rem;
}

    .header-navigation a {
        font-size: .80rem;
    }

    .header-navigation .breadcrumb {
        margin-bottom: 0;
        background-color: transparent;
        padding: 0.20rem 1rem;
    }

    .header-navigation .btn-group {
        margin-left: auto;
    }

    .header-navigation .btn-share {
        position: relative;
    }

        .header-navigation .btn-share::after {
            content: "";
            width: 1px;
            height: 50%;
            background-color: #ccc;
            position: absolute;
            top: 50%;
            left: 100%;
            transform: translateY(-50%);
        }

.store-body {
    display: flex;
    flex-direction: row;
    padding: 0;
}

    .store-body .product-info {
        width: 60%;
        border-right: 1px solid rgba(0,0,0,.125);
    }

    .store-body .product-payment-details {
        width: 40%;
        padding: 15px 15px 0 15px;
    }

.product-info .product-gallery {
    display: flex;
    flex-direction: row;
    border-bottom: 1px solid rgba(0,0,0,.125);
}

.product-gallery-featured {
    display: flex;
    width: 100%;
    flex-direction: row;
    justify-content: center;
    align-items: flex-start;
    padding: 15px 0;
    cursor: zoom-in;
}

.product-gallery-thumbnails .thumbnails-list li {
    margin-bottom: 5px;
    cursor: pointer;
    position: relative;
    width: 70px;
    height: 70px;
}

.thumbnails-list li img {
    display: block;
    width: 100%;
}

.product-gallery-thumbnails .thumbnails-list li:hover::before {
    content: "";
    width: 3px;
    height: 100%;
    background: #007bff;
    position: absolute;
    top: 0;
    left: 0;
}

.product-info .product-seller-recommended {
    padding: 20px 20px 0 20px;
}

.product-comments textarea {
    height: 50px;
}

.last-questions-list li {
    margin-bottom: 20px;
}

    .last-questions-list li span {
        padding-left: 10px;
    }